REGULATOR_GET_OPTION(9)

NAME
regulator_get_optional - obtain optional access to a regulator.

SYNOPSIS

struct regulator * regulator_get_optional(struct device * dev, const char * id);

ARGUMENTS

dev
    device for regulator “consumer”

id
    Supply name or regulator ID.

DESCRIPTION

Returns a struct regulator corresponding to the regulator producer, or IS_ERR condition containing errno.

This is intended for use by consumers for devices which can have some supplies unconnected in normal use, such as some MMC devices. It can allow the regulator core to provide stub supplies for other supplies requested using normal regulator_get calls without disrupting the operation of drivers that can handle absent supplies.

Use of supply names configured via regulator_set_device_supply is strongly encouraged. It is recommended that the supply name used should match the name used for the supply and/or the relevant device pins in the datasheet.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT